Get multiple alert scheduler rules
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/alerts/suppression-rules/v1 \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/alerts/suppression-rules/v1"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/alerts/suppression-rules/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alertSchedulerRules": [
{
"alertSchedulerRule": {
"createdAt": "<string>",
"description": "<string>",
"enabled": true,
"filter": {
"alertMetaLabels": {
"value": [
{
"id": "<string>",
"key": "<string>",
"value": "<string>"
}
]
},
"alertUniqueIds": {
"value": [
"<string>"
]
},
"whatExpression": "<string>"
},
"id": "<string>",
"metaLabels": [
{
"id": "<string>",
"key": "<string>",
"value": "<string>"
}
],
"name": "<string>",
"schedule": {
"oneTime": {
"timeframe": {
"endTime": "<string>",
"duration": {
"forOver": 123
},
"startTime": "<string>",
"timezone": "<string>"
}
},
"recurring": {
"alwaysActive": {},
"schedule": {
"daily": {},
"monthly": {
"daysOfMonth": [
123
]
},
"repeatEvery": 123,
"terminationDate": "<string>",
"timeframe": {
"endTime": "<string>",
"duration": {
"forOver": 123
},
"startTime": "<string>",
"timezone": "<string>"
},
"weekly": {
"daysOfWeek": [
123
]
}
}
}
},
"uniqueIdentifier": "<string>",
"updatedAt": "<string>"
},
"nextActiveTimeframes": [
{
"endTime": "<string>",
"startTime": "<string>",
"timezone": "<string>"
}
]
}
],
"nextPageToken": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Alert Scheduler Rule Service
Get multiple alert scheduler rules
Returns alert suppression rules with optional pagination.
Get multiple alert scheduler rules
Authorizations
API key authentication
Query Parameters
Active timeframe filter to limit results to rules active in the given window.
Show child attributes
Show child attributes
Whether this resource is enabled.
Filter results to the specified alert scheduler rule or rule version IDs.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Token for fetching the next page of results.
Was this page helpful?
⌘I